Page MenuHomePhabricator

Cleanup ContentHandler deprecated function calls in other Extensions
Closed, ResolvedPublic

Description

In MediaWiki core's ContentHandler "module", a lot of hooks and functions were deprecated in MediaWiki version 1.21 (1.21 was released in 2013 and 1.21 is unsupported since 2014). Many of these deprecated hooks and functions are still used in code bases (that's called "technical debt") and should be replaced. They were already cleaned up in MediaWiki extensions that are deployed on WMF sites, but other extensions were not taken care of yet. These extensions need cleaning up so that the deprecated functions can finally be removed from the MediaWiki core codebase in the end!

The commit message of your Gerrit patch(es) should include the line Bug: T151973.

This task is primarily designed for GCI students, but can be done by anyone if deemed appropriate.

Hooks:

* ArticleAfterFetchContent was replaced by ArticleAfterFetchContentObject
* ArticleInsertComplete was replaced by PageContentInsertComplete
* ArticleSave was replaced by PageContentSave
* ArticleSaveComplete was replaced by PageContentSaveComplete
* EditFilterMerged was replaced by EditFilterMergedContent
* EditPageGetPreviewText was replaced by EditPageGetPreviewContent

Functions:

Article::getContent()
Article::doEdit() / WikiPage::doEdit()
Revision::getText()

See also parent task: T145728

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Change 327924 abandoned by LukBukkit:
Removed usages of a deprecated method Revision::getText

https://gerrit.wikimedia.org/r/327924

Change 327925 abandoned by LukBukkit:
Removed usages of a deprecated method Revision::getText

https://gerrit.wikimedia.org/r/327925

Change 327916 restored by LukBukkit:
Removed usages of a deprecated method Revision::getText

https://gerrit.wikimedia.org/r/327916

Change 327925 restored by LukBukkit:
Removed usages of a deprecated method Revision::getText

https://gerrit.wikimedia.org/r/327925

Change 327925 merged by jenkins-bot:
Removed usages of a deprecated method: Revision::getText

https://gerrit.wikimedia.org/r/327925

Change 327267 merged by jenkins-bot:
Replace "Article::getContent()" deprecated in MediaWiki 1.21

https://gerrit.wikimedia.org/r/327267

Change 327916 merged by jenkins-bot:
Removed usages of a deprecated method Revision::getText

https://gerrit.wikimedia.org/r/327916

Change 327924 restored by LukBukkit:
Removed usages of a deprecated method Revision::getText

https://gerrit.wikimedia.org/r/327924

Change 327923 restored by LukBukkit:
Removed usages of a deprecated method Revision::getText

https://gerrit.wikimedia.org/r/327923

Change 327922 restored by LukBukkit:
Removed usages of a deprecated method Revision::getText

https://gerrit.wikimedia.org/r/327922

Change 327923 merged by jenkins-bot:
Removed usages of a deprecated method: Revision::getText

https://gerrit.wikimedia.org/r/327923

Change 327922 merged by jenkins-bot:
Removed usages of a deprecated method Revision::getText

https://gerrit.wikimedia.org/r/327922

Change 327924 merged by jenkins-bot:
Removed usages of a deprecated method: Revision::getText

https://gerrit.wikimedia.org/r/327924

Reedy added a comment.Dec 18 2016, 1:38 PM

Article::getContent()

Method
    getContent
Found usages  (9 usages found)
    Delegate to another instance method  (1 usage found)
        MediaWiki  (1 usage found)
            extensions/Video  (1 usage found)
                VideoPage.php  (1 usage found)
                    VideoPage  (1 usage found)
                        getContent  (1 usage found)
                            135return Article::getContent();
    Method call  (8 usages found)
        MediaWiki  (8 usages found)
            extensions/News  (1 usage found)
                NewsRenderer.php  (1 usage found)
                    NewsRenderer  (1 usage found)
                        renderRow  (1 usage found)
                            526$t = $article->getContent();
            extensions/SemanticComments/specials/Comment  (3 usages found)
                CE_Comment.php  (1 usage found)
                    CEComment  (1 usage found)
                        updateRelatedArticle  (1 usage found)
                            156$text = $article->getContent();
                CE_CommentAjaxAccess.php  (2 usages found)
                    cef_comment_deleteComment  (1 usage found)
                        84$articleContent = $article->getContent();
                    cef_comment_fullDeleteComments  (1 usage found)
                        123$articleContent = $article->getContent();
            extensions/SemanticPageMaker/includes/models  (1 usage found)
                SPM_OM_Template.php  (1 usage found)
                    SPMTemplateModel  (1 usage found)
                        getTemplateForm  (1 usage found)
                            50$text = $article->getContent();
            extensions/SemanticPageSeries/includes  (1 usage found)
                SPSSpecialSeriesEdit.php  (1 usage found)
                    SPSSpecialSeriesEdit  (1 usage found)
                        printForm  (1 usage found)
                            101$formDefinition = StringUtils::delimiterReplace( '<noinclude>', '</noinclude>', '', $formArticle->getContent() );
            extensions/SocialProfile/UserProfile  (1 usage found)
                SpecialToggleUserPageType.php  (1 usage found)
                    SpecialToggleUserPage  (1 usage found)
                        execute  (1 usage found)
                            81$user_page_content = $article->getContent();
            extensions/WikiArticleFeeds  (1 usage found)
                WikiArticleFeeds_body.php  (1 usage found)
                    WikiArticleFeeds  (1 usage found)
                        wfGenerateWikiFeed  (1 usage found)
                            316$content = $wgOut->parse( $article->getContent() . "\n__NOEDITSECTION__ __NOTOC__" );

Article::doEdit()

Method
    doEdit
Found usages  (12 usages found)
    Method call  (12 usages found)
        MediaWiki  (12 usages found)
            extensions/BlogPage  (1 usage found)
                SpecialCreateBlogPost.php  (1 usage found)
                    SpecialCreateBlogPost  (1 usage found)
                        execute  (1 usage found)
                            142$article->doEdit(
            extensions/DynamicPageList  (2 usages found)
                DPL.php  (1 usage found)
                    DPL  (1 usage found)
                        updateArticle  (1 usage found)
                            1072$articleX->doEdit( $text, $summary, EDIT_UPDATE | EDIT_DEFER_UPDATES | EDIT_AUTOSUMMARY );
                DPLSetup.php  (1 usage found)
                    ExtDynamicPageList  (1 usage found)
                        commonSetup  (1 usage found)
                            1236$article->doEdit(
            extensions/FanBoxes  (2 usages found)
                FanBoxClass.php  (2 usages found)
                    FanBox  (2 usages found)
                        addFan  (1 usage found)
                            103$article->doEdit( $this->buildWikiText() . "\n\n" . $article_content, $desc );
                        updateFan  (1 usage found)
                            224$article->doEdit( $article_content, wfMessage( 'fanbox-summary-update' )->inContentLanguage()->parse() );
            extensions/LinkFilter  (1 usage found)
                LinkClass.php  (1 usage found)
                    Link  (1 usage found)
                        approveLink  (1 usage found)
                            130$article->doEdit( $link['url'], wfMessage( 'linkfilter-edit-summary' )->inContentLanguage()->text() );
            extensions/LiquidThreads/import  (1 usage found)
                import-parsed-discussions.php  (1 usage found)
                    createPost  (1 usage found)
                        82$root->doEdit(
            extensions/OfflineImportLexicon  (1 usage found)
                OfflineImportLexicon_body.php  (1 usage found)
                    OfflineImportLexicon  (1 usage found)
                        savePage  (1 usage found)
                            329$status = $article->doEdit( $content, $summary, $flags,false,$wgUser);
            extensions/PageSchemas  (1 usage found)
                PS_CreatePageJob.php  (1 usage found)
                    PSCreatePageJob  (1 usage found)
                        run  (1 usage found)
                            57$article->doEdit( $page_text, $edit_summary );
            extensions/SemanticComments/specials/Comment  (2 usages found)
                CE_Comment.php  (1 usage found)
                    CEComment  (1 usage found)
                        createComment  (1 usage found)
                            122$article->doEdit( $pageContent, $summary );
                CE_CommentAjaxAccess.php  (1 usage found)
                    cef_comment_deleteComment  (1 usage found)
                        92$article->doEdit( $articleContent, wfMessage( 'ce_comment_delete_reason' )->text() );
            extensions/SemanticImageAnnotator  (1 usage found)
                SIA_AjaxFunctions.php  (1 usage found)
                    writeAnnotationProperties  (1 usage found)
                        24$newArticle->doEdit($content, 'Created by Semantic Image Annotator');

Revision::getText()

Method
    getText
Found usages  (26 usages found)
    Method call  (24 usages found)
        MediaWiki  (24 usages found)
            core/tests/phpunit/includes  (4 usages found)
                RevisionStorageTest.php  (1 usage found)
                    RevisionStorageTest  (1 usage found)
                        testGetText  (1 usage found)
                            286$this->assertEquals( 'hello hello.', $rev->getText() );
                RevisionTest.php  (3 usages found)
                    RevisionTest  (3 usages found)
                        testConstructWithContent  (1 usage found)
                            403$this->assertNotNull( $rev->getText(), 'no content text' );
                        testConstructWithText  (1 usage found)
                            385$this->assertNotNull( $rev->getText(), 'no content text' );
                        testGetText  (1 usage found)
                            333$this->assertEquals( $expectedText, $rev->getText( $audience ) );
            extensions/DebugTemplates  (1 usage found)
                SpecialDebugTemplates.php  (1 usage found)
                    SpecialDebugTemplates  (1 usage found)
                        getPage  (1 usage found)
                            202return $r->getText();
            extensions/ExtTab/includes  (1 usage found)
                ET_AjaxAccess.php  (1 usage found)
                    smwf_et_Access  (1 usage found)
                        26$html = $wgParser->parse( $revision->getText(), $wgTitle, $popts )->getText();
            extensions/FirstSteps  (1 usage found)
                SpecialFirstSteps.php  (1 usage found)
                    SpecialFirstSteps  (1 usage found)
                        showUserpage  (1 usage found)
                            258$text = $revision->getText();
            extensions/GoogleMaps  (2 usages found)
                GoogleMaps.body.php  (1 usage found)
                    GoogleMaps  (1 usage found)
                        addMarker  (1 usage found)
                            570self::parseWikiText($pParser, $pLocalParser, $revision->getText(), $revision->getTitle(), $pParser->mOptions);
                SpecialGoogleMapsKML.php  (1 usage found)
                    GoogleMapsKML  (1 usage found)
                        execute  (1 usage found)
                            42if (preg_match_all("/<googlemap( .*?|)>(.*?)<\/googlemap>/s", $revision->getText(), $matches)) {
            extensions/ImageTagging  (1 usage found)
                ImageTaggingHooks.php  (1 usage found)
                    ImageTaggingHooks  (1 usage found)
                        tagSearchHitXML  (1 usage found)
                            277$text = $revision->getText();
            extensions/IndexFunction  (1 usage found)
                IndexAbstracts.php  (1 usage found)
                    IndexAbstracts  (1 usage found)
                        getExtract  (1 usage found)
                            102$text = substr( $rev->getText(), 0, 16384 );
            extensions/MadLib  (1 usage found)
                MadLib.php  (1 usage found)
                    MadLibExtensionGetPage  (1 usage found)
                        204return $r->getText();
            extensions/SemanticPageMaker/includes/widgets  (7 usages found)
                SPM_WFAjaxAccess.php  (3 usages found)
                    spm_wf_EditorAccess  (3 usages found)
                        180ContentHandler::makeContent( $revision->getText(), $revision->getTitle() ),
                        199$wiki .= $revision->getText();
                        258if ( $revision != null ) $text .= $revision->getText();
                SPM_WidgetPage.php  (1 usage found)
                    CategoryWidgetViewer  (1 usage found)
                        loadWidget  (1 usage found)
                            225return $this->getWidgetWiki( $revision->getText(), $title, $update );
                SPM_WidgetUtils.php  (3 usages found)
                    SPMWidgetUtils  (3 usages found)
                        getPageTemplateData  (1 usage found)
                            515$text = $revision->getText();
                        loadTransactionConnectorExpressions  (1 usage found)
                            663$wgParser->parse( $r->getText(), $title, $options );
                        updateWidgetConnectors  (1 usage found)
                            1007if ( $revision != null ) $text = $revision->getText();
            extensions/SemanticPageMaker/includes/widgets/datatype  (1 usage found)
                SPMWidgetDataType.php  (1 usage found)
                    SPMWidgetDataType  (1 usage found)
                        getAllPossibleValues  (1 usage found)
                            190$output = $wgParser->parse( $rev->getText(), $proptitle, $options );
            extensions/SemanticPageMaker/includes/widgets/extra  (1 usage found)
                SPM_WG_Widget.php  (1 usage found)
                    SPMWidgetExtraWidget  (1 usage found)
                        onAjaxAccess  (1 usage found)
                            48$text = $rev->getText();
            extensions/SemanticPageMaker/specials/WidgetClone  (3 usages found)
                SPM_WidgetClone.php  (3 usages found)
                    SPMWidgetClone  (3 usages found)
                        widgetClone  (3 usages found)
                            142$wikitext = $revision->getText();
                            159$p_content = ( $revision == null ) ? '' : $revision->getText();
                            190$w_content = ( $revision == null ) ? '' : $revision->getText();
    Usage in comments  (2 usages found)
        MediaWiki  (2 usages found)
            core/tests/phpunit/includes  (2 usages found)
                RevisionStorageTest.php  (1 usage found)
                    RevisionStorageTest  (1 usage found)
                        278	 * @covers Revision::getText
                RevisionTest.php  (1 usage found)
                    RevisionTest  (1 usage found)
                        326	 * @covers Revision::getText

Change 327919 restored by LukBukkit:
Removed usages of a deprecated method Revision::getText

https://gerrit.wikimedia.org/r/327919

Change 327918 restored by LukBukkit:
Removed usages of a deprecated method Revision::getText

https://gerrit.wikimedia.org/r/327918

Change 327920 restored by LukBukkit:
Removed usages of a deprecated method Revision::getText

https://gerrit.wikimedia.org/r/327920

Change 327917 restored by LukBukkit:
Removed usages of the deprecated method Revision::getText

https://gerrit.wikimedia.org/r/327917

Change 327919 merged by jenkins-bot:
Removed usages of a deprecated method Revision::getText

https://gerrit.wikimedia.org/r/327919

Change 327918 merged by jenkins-bot:
Removed usages of a deprecated method Revision::getText

https://gerrit.wikimedia.org/r/327918

Change 327920 merged by jenkins-bot:
Removed usages of a deprecated method Revision::getText

https://gerrit.wikimedia.org/r/327920

Change 327917 merged by jenkins-bot:
Removed usages of the deprecated method Revision::getText

https://gerrit.wikimedia.org/r/327917

Change 326550 merged by jenkins-bot:
Remove old ArticleAfterFetchContent hook subscriber

https://gerrit.wikimedia.org/r/326550

Change 328428 had a related patch set uploaded (by Georggi199):
Replaced deprecated hooks

https://gerrit.wikimedia.org/r/328428

Change 328428 merged by jenkins-bot:
Replaced deprecated hooks

https://gerrit.wikimedia.org/r/328428

Change 328463 had a related patch set uploaded (by Georggi199):
Removed deprecated hook usage

https://gerrit.wikimedia.org/r/328463

Change 328486 had a related patch set uploaded (by Georggi199):
Remove deprecated hooks

https://gerrit.wikimedia.org/r/328486

Change 328486 merged by jenkins-bot:
Remove deprecated hooks

https://gerrit.wikimedia.org/r/328486

Change 328463 merged by jenkins-bot:
Removed deprecated hook usage

https://gerrit.wikimedia.org/r/328463

Article::getContent()

Method
    getContent
Found usages  (9 usages found)
    Delegate to another instance method  (1 usage found)
        MediaWiki  (1 usage found)
            extensions/Video  (1 usage found)
                VideoPage.php  (1 usage found)
                    VideoPage  (1 usage found)
                        getContent  (1 usage found)
                            135return Article::getContent();
    Method call  (8 usages found)
        MediaWiki  (8 usages found)
            extensions/News  (1 usage found)
                NewsRenderer.php  (1 usage found)
                    NewsRenderer  (1 usage found)
                        renderRow  (1 usage found)
                            526$t = $article->getContent();
            extensions/SemanticComments/specials/Comment  (3 usages found)
                CE_Comment.php  (1 usage found)
                    CEComment  (1 usage found)
                        updateRelatedArticle  (1 usage found)
                            156$text = $article->getContent();
                CE_CommentAjaxAccess.php  (2 usages found)
                    cef_comment_deleteComment  (1 usage found)
                        84$articleContent = $article->getContent();
                    cef_comment_fullDeleteComments  (1 usage found)
                        123$articleContent = $article->getContent();
            extensions/SemanticPageMaker/includes/models  (1 usage found)
                SPM_OM_Template.php  (1 usage found)
                    SPMTemplateModel  (1 usage found)
                        getTemplateForm  (1 usage found)
                            50$text = $article->getContent();
            extensions/SemanticPageSeries/includes  (1 usage found)
                SPSSpecialSeriesEdit.php  (1 usage found)
                    SPSSpecialSeriesEdit  (1 usage found)
                        printForm  (1 usage found)
                            101$formDefinition = StringUtils::delimiterReplace( '<noinclude>', '</noinclude>', '', $formArticle->getContent() );
            extensions/SocialProfile/UserProfile  (1 usage found)
                SpecialToggleUserPageType.php  (1 usage found)
                    SpecialToggleUserPage  (1 usage found)
                        execute  (1 usage found)
                            81$user_page_content = $article->getContent();
            extensions/WikiArticleFeeds  (1 usage found)
                WikiArticleFeeds_body.php  (1 usage found)
                    WikiArticleFeeds  (1 usage found)
                        wfGenerateWikiFeed  (1 usage found)
                            316$content = $wgOut->parse( $article->getContent() . "\n__NOEDITSECTION__ __NOTOC__" );

Article::doEdit()

Method
    doEdit
Found usages  (12 usages found)
    Method call  (12 usages found)
        MediaWiki  (12 usages found)
            extensions/BlogPage  (1 usage found)
                SpecialCreateBlogPost.php  (1 usage found)
                    SpecialCreateBlogPost  (1 usage found)
                        execute  (1 usage found)
                            142$article->doEdit(
            extensions/DynamicPageList  (2 usages found)
                DPL.php  (1 usage found)
                    DPL  (1 usage found)
                        updateArticle  (1 usage found)
                            1072$articleX->doEdit( $text, $summary, EDIT_UPDATE | EDIT_DEFER_UPDATES | EDIT_AUTOSUMMARY );
                DPLSetup.php  (1 usage found)
                    ExtDynamicPageList  (1 usage found)
                        commonSetup  (1 usage found)
                            1236$article->doEdit(
            extensions/FanBoxes  (2 usages found)
                FanBoxClass.php  (2 usages found)
                    FanBox  (2 usages found)
                        addFan  (1 usage found)
                            103$article->doEdit( $this->buildWikiText() . "\n\n" . $article_content, $desc );
                        updateFan  (1 usage found)
                            224$article->doEdit( $article_content, wfMessage( 'fanbox-summary-update' )->inContentLanguage()->parse() );
            extensions/LinkFilter  (1 usage found)
                LinkClass.php  (1 usage found)
                    Link  (1 usage found)
                        approveLink  (1 usage found)
                            130$article->doEdit( $link['url'], wfMessage( 'linkfilter-edit-summary' )->inContentLanguage()->text() );
            extensions/LiquidThreads/import  (1 usage found)
                import-parsed-discussions.php  (1 usage found)
                    createPost  (1 usage found)
                        82$root->doEdit(
            extensions/OfflineImportLexicon  (1 usage found)
                OfflineImportLexicon_body.php  (1 usage found)
                    OfflineImportLexicon  (1 usage found)
                        savePage  (1 usage found)
                            329$status = $article->doEdit( $content, $summary, $flags,false,$wgUser);
            extensions/PageSchemas  (1 usage found)
                PS_CreatePageJob.php  (1 usage found)
                    PSCreatePageJob  (1 usage found)
                        run  (1 usage found)
                            57$article->doEdit( $page_text, $edit_summary );
            extensions/SemanticComments/specials/Comment  (2 usages found)
                CE_Comment.php  (1 usage found)
                    CEComment  (1 usage found)
                        createComment  (1 usage found)
                            122$article->doEdit( $pageContent, $summary );
                CE_CommentAjaxAccess.php  (1 usage found)
                    cef_comment_deleteComment  (1 usage found)
                        92$article->doEdit( $articleContent, wfMessage( 'ce_comment_delete_reason' )->text() );
            extensions/SemanticImageAnnotator  (1 usage found)
                SIA_AjaxFunctions.php  (1 usage found)
                    writeAnnotationProperties  (1 usage found)
                        24$newArticle->doEdit($content, 'Created by Semantic Image Annotator');

Revision::getText()

Method
    getText
Found usages  (18 usages found)
    Method call  (16 usages found)
        MediaWiki  (16 usages found)
            core/tests/phpunit/includes  (4 usages found)
                RevisionStorageTest.php  (1 usage found)
                    RevisionStorageTest  (1 usage found)
                        testGetText  (1 usage found)
                            286$this->assertEquals( 'hello hello.', $rev->getText() );
                RevisionTest.php  (3 usages found)
                    RevisionTest  (3 usages found)
                        testConstructWithContent  (1 usage found)
                            403$this->assertNotNull( $rev->getText(), 'no content text' );
                        testConstructWithText  (1 usage found)
                            385$this->assertNotNull( $rev->getText(), 'no content text' );
                        testGetText  (1 usage found)
                            333$this->assertEquals( $expectedText, $rev->getText( $audience ) );
            extensions/SemanticPageMaker/includes/widgets  (7 usages found)
                SPM_WFAjaxAccess.php  (3 usages found)
                    spm_wf_EditorAccess  (3 usages found)
                        180ContentHandler::makeContent( $revision->getText(), $revision->getTitle() ),
                        199$wiki .= $revision->getText();
                        258if ( $revision != null ) $text .= $revision->getText();
                SPM_WidgetPage.php  (1 usage found)
                    CategoryWidgetViewer  (1 usage found)
                        loadWidget  (1 usage found)
                            225return $this->getWidgetWiki( $revision->getText(), $title, $update );
                SPM_WidgetUtils.php  (3 usages found)
                    SPMWidgetUtils  (3 usages found)
                        getPageTemplateData  (1 usage found)
                            515$text = $revision->getText();
                        loadTransactionConnectorExpressions  (1 usage found)
                            663$wgParser->parse( $r->getText(), $title, $options );
                        updateWidgetConnectors  (1 usage found)
                            1007if ( $revision != null ) $text = $revision->getText();
            extensions/SemanticPageMaker/includes/widgets/datatype  (1 usage found)
                SPMWidgetDataType.php  (1 usage found)
                    SPMWidgetDataType  (1 usage found)
                        getAllPossibleValues  (1 usage found)
                            190$output = $wgParser->parse( $rev->getText(), $proptitle, $options );
            extensions/SemanticPageMaker/includes/widgets/extra  (1 usage found)
                SPM_WG_Widget.php  (1 usage found)
                    SPMWidgetExtraWidget  (1 usage found)
                        onAjaxAccess  (1 usage found)
                            48$text = $rev->getText();
            extensions/SemanticPageMaker/specials/WidgetClone  (3 usages found)
                SPM_WidgetClone.php  (3 usages found)
                    SPMWidgetClone  (3 usages found)
                        widgetClone  (3 usages found)
                            142$wikitext = $revision->getText();
                            159$p_content = ( $revision == null ) ? '' : $revision->getText();
                            190$w_content = ( $revision == null ) ? '' : $revision->getText();
    Usage in comments  (2 usages found)
        MediaWiki  (2 usages found)
            core/tests/phpunit/includes  (2 usages found)
                RevisionStorageTest.php  (1 usage found)
                    RevisionStorageTest  (1 usage found)
                        278	 * @covers Revision::getText
                RevisionTest.php  (1 usage found)
                    RevisionTest  (1 usage found)
                        326	 * @covers Revision::getText

Change 328562 had a related patch set uploaded (by Georggi199):
Removed deprecated hooks usage

https://gerrit.wikimedia.org/r/328562

Change 328562 merged by jenkins-bot:
Removed deprecated hooks usage

https://gerrit.wikimedia.org/r/328562

Change 328569 had a related patch set uploaded (by Georggi199):
Removed deprecated hooks usages

https://gerrit.wikimedia.org/r/328569

Change 328569 merged by jenkins-bot:
Removed deprecated hooks usages

https://gerrit.wikimedia.org/r/328569

Change 328643 had a related patch set uploaded (by Georggi199):
Removed deprecated hook usage

https://gerrit.wikimedia.org/r/328643

Change 328646 had a related patch set uploaded (by Georggi199):
Replaced deprecated hook usage

https://gerrit.wikimedia.org/r/328646

Change 328647 had a related patch set uploaded (by Georggi199):
Removed deprecated hook usage

https://gerrit.wikimedia.org/r/328647

Change 328643 merged by Reedy:
Removed deprecated hook usage

https://gerrit.wikimedia.org/r/328643

Change 328646 merged by jenkins-bot:
Replaced deprecated hook usage

https://gerrit.wikimedia.org/r/328646

Change 328647 merged by jenkins-bot:
Removed deprecated hook usage

https://gerrit.wikimedia.org/r/328647

Change 328877 had a related patch set uploaded (by Georggi199):
Removed deprecated hook usage

https://gerrit.wikimedia.org/r/328877

Change 329048 had a related patch set uploaded (by Georggi199):
Removed deprecated hook usage

https://gerrit.wikimedia.org/r/329048

Change 329048 merged by jenkins-bot:
Removed deprecated hook usage

https://gerrit.wikimedia.org/r/329048

Change 328877 merged by jenkins-bot:
Removed deprecated hook usage

https://gerrit.wikimedia.org/r/328877

Guess we need to file some more GCI tasks for this lot

Article::getContent()

Method
    getContent
Found usages  (9 usages found)
    Delegate to another instance method  (1 usage found)
        MediaWiki  (1 usage found)
            extensions/Video  (1 usage found)
                VideoPage.php  (1 usage found)
                    VideoPage  (1 usage found)
                        getContent  (1 usage found)
                            135return Article::getContent();
    Method call  (8 usages found)
        MediaWiki  (8 usages found)
            extensions/News  (1 usage found)
                NewsRenderer.php  (1 usage found)
                    NewsRenderer  (1 usage found)
                        renderRow  (1 usage found)
                            526$t = $article->getContent();
            extensions/SemanticComments/specials/Comment  (3 usages found)
                CE_Comment.php  (1 usage found)
                    CEComment  (1 usage found)
                        updateRelatedArticle  (1 usage found)
                            156$text = $article->getContent();
                CE_CommentAjaxAccess.php  (2 usages found)
                    cef_comment_deleteComment  (1 usage found)
                        84$articleContent = $article->getContent();
                    cef_comment_fullDeleteComments  (1 usage found)
                        123$articleContent = $article->getContent();
            extensions/SemanticPageMaker/includes/models  (1 usage found)
                SPM_OM_Template.php  (1 usage found)
                    SPMTemplateModel  (1 usage found)
                        getTemplateForm  (1 usage found)
                            50$text = $article->getContent();
            extensions/SemanticPageSeries/includes  (1 usage found)
                SPSSpecialSeriesEdit.php  (1 usage found)
                    SPSSpecialSeriesEdit  (1 usage found)
                        printForm  (1 usage found)
                            101$formDefinition = StringUtils::delimiterReplace( '<noinclude>', '</noinclude>', '', $formArticle->getContent() );
            extensions/SocialProfile/UserProfile  (1 usage found)
                SpecialToggleUserPageType.php  (1 usage found)
                    SpecialToggleUserPage  (1 usage found)
                        execute  (1 usage found)
                            81$user_page_content = $article->getContent();
            extensions/WikiArticleFeeds  (1 usage found)
                WikiArticleFeeds_body.php  (1 usage found)
                    WikiArticleFeeds  (1 usage found)
                        wfGenerateWikiFeed  (1 usage found)
                            316$content = $wgOut->parse( $article->getContent() . "\n__NOEDITSECTION__ __NOTOC__" );

Article::doEdit()

Method
    doEdit
Found usages  (12 usages found)
    Method call  (12 usages found)
        MediaWiki  (12 usages found)
            extensions/BlogPage  (1 usage found)
                SpecialCreateBlogPost.php  (1 usage found)
                    SpecialCreateBlogPost  (1 usage found)
                        execute  (1 usage found)
                            142$article->doEdit(
            extensions/DynamicPageList  (2 usages found)
                DPL.php  (1 usage found)
                    DPL  (1 usage found)
                        updateArticle  (1 usage found)
                            1072$articleX->doEdit( $text, $summary, EDIT_UPDATE | EDIT_DEFER_UPDATES | EDIT_AUTOSUMMARY );
                DPLSetup.php  (1 usage found)
                    ExtDynamicPageList  (1 usage found)
                        commonSetup  (1 usage found)
                            1236$article->doEdit(
            extensions/FanBoxes  (2 usages found)
                FanBoxClass.php  (2 usages found)
                    FanBox  (2 usages found)
                        addFan  (1 usage found)
                            103$article->doEdit( $this->buildWikiText() . "\n\n" . $article_content, $desc );
                        updateFan  (1 usage found)
                            224$article->doEdit( $article_content, wfMessage( 'fanbox-summary-update' )->inContentLanguage()->parse() );
            extensions/LinkFilter  (1 usage found)
                LinkClass.php  (1 usage found)
                    Link  (1 usage found)
                        approveLink  (1 usage found)
                            130$article->doEdit( $link['url'], wfMessage( 'linkfilter-edit-summary' )->inContentLanguage()->text() );
            extensions/LiquidThreads/import  (1 usage found)
                import-parsed-discussions.php  (1 usage found)
                    createPost  (1 usage found)
                        82$root->doEdit(
            extensions/OfflineImportLexicon  (1 usage found)
                OfflineImportLexicon_body.php  (1 usage found)
                    OfflineImportLexicon  (1 usage found)
                        savePage  (1 usage found)
                            329$status = $article->doEdit( $content, $summary, $flags,false,$wgUser);
            extensions/PageSchemas  (1 usage found)
                PS_CreatePageJob.php  (1 usage found)
                    PSCreatePageJob  (1 usage found)
                        run  (1 usage found)
                            57$article->doEdit( $page_text, $edit_summary );
            extensions/SemanticComments/specials/Comment  (2 usages found)
                CE_Comment.php  (1 usage found)
                    CEComment  (1 usage found)
                        createComment  (1 usage found)
                            122$article->doEdit( $pageContent, $summary );
                CE_CommentAjaxAccess.php  (1 usage found)
                    cef_comment_deleteComment  (1 usage found)
                        92$article->doEdit( $articleContent, wfMessage( 'ce_comment_delete_reason' )->text() );
            extensions/SemanticImageAnnotator  (1 usage found)
                SIA_AjaxFunctions.php  (1 usage found)
                    writeAnnotationProperties  (1 usage found)
                        24$newArticle->doEdit($content, 'Created by Semantic Image Annotator');

Revision::getText()

Method
    getText
Found usages  (18 usages found)
    Method call  (16 usages found)
        MediaWiki  (16 usages found)
            core/tests/phpunit/includes  (4 usages found)
                RevisionStorageTest.php  (1 usage found)
                    RevisionStorageTest  (1 usage found)
                        testGetText  (1 usage found)
                            286$this->assertEquals( 'hello hello.', $rev->getText() );
                RevisionTest.php  (3 usages found)
                    RevisionTest  (3 usages found)
                        testConstructWithContent  (1 usage found)
                            403$this->assertNotNull( $rev->getText(), 'no content text' );
                        testConstructWithText  (1 usage found)
                            385$this->assertNotNull( $rev->getText(), 'no content text' );
                        testGetText  (1 usage found)
                            333$this->assertEquals( $expectedText, $rev->getText( $audience ) );
            extensions/SemanticPageMaker/includes/widgets  (7 usages found)
                SPM_WFAjaxAccess.php  (3 usages found)
                    spm_wf_EditorAccess  (3 usages found)
                        180ContentHandler::makeContent( $revision->getText(), $revision->getTitle() ),
                        199$wiki .= $revision->getText();
                        258if ( $revision != null ) $text .= $revision->getText();
                SPM_WidgetPage.php  (1 usage found)
                    CategoryWidgetViewer  (1 usage found)
                        loadWidget  (1 usage found)
                            225return $this->getWidgetWiki( $revision->getText(), $title, $update );
                SPM_WidgetUtils.php  (3 usages found)
                    SPMWidgetUtils  (3 usages found)
                        getPageTemplateData  (1 usage found)
                            515$text = $revision->getText();
                        loadTransactionConnectorExpressions  (1 usage found)
                            663$wgParser->parse( $r->getText(), $title, $options );
                        updateWidgetConnectors  (1 usage found)
                            1007if ( $revision != null ) $text = $revision->getText();
            extensions/SemanticPageMaker/includes/widgets/datatype  (1 usage found)
                SPMWidgetDataType.php  (1 usage found)
                    SPMWidgetDataType  (1 usage found)
                        getAllPossibleValues  (1 usage found)
                            190$output = $wgParser->parse( $rev->getText(), $proptitle, $options );
            extensions/SemanticPageMaker/includes/widgets/extra  (1 usage found)
                SPM_WG_Widget.php  (1 usage found)
                    SPMWidgetExtraWidget  (1 usage found)
                        onAjaxAccess  (1 usage found)
                            48$text = $rev->getText();
            extensions/SemanticPageMaker/specials/WidgetClone  (3 usages found)
                SPM_WidgetClone.php  (3 usages found)
                    SPMWidgetClone  (3 usages found)
                        widgetClone  (3 usages found)
                            142$wikitext = $revision->getText();
                            159$p_content = ( $revision == null ) ? '' : $revision->getText();
                            190$w_content = ( $revision == null ) ? '' : $revision->getText();
    Usage in comments  (2 usages found)
        MediaWiki  (2 usages found)
            core/tests/phpunit/includes  (2 usages found)
                RevisionStorageTest.php  (1 usage found)
                    RevisionStorageTest  (1 usage found)
                        278	 * @covers Revision::getText
                RevisionTest.php  (1 usage found)
                    RevisionTest  (1 usage found)
                        326	 * @covers Revision::getText
Method
    getText
Found usages  (18 usages found)
    Method call  (16 usages found)
        MediaWiki  (16 usages found)
            core/tests/phpunit/includes  (4 usages found)
                RevisionStorageTest.php  (1 usage found)
                    RevisionStorageTest  (1 usage found)
                        testGetText  (1 usage found)
                            286$this->assertEquals( 'hello hello.', $rev->getText() );
                RevisionTest.php  (3 usages found)
                    RevisionTest  (3 usages found)
                        testConstructWithContent  (1 usage found)
                            403$this->assertNotNull( $rev->getText(), 'no content text' );
                        testConstructWithText  (1 usage found)
                            385$this->assertNotNull( $rev->getText(), 'no content text' );
                        testGetText  (1 usage found)
                            333$this->assertEquals( $expectedText, $rev->getText( $audience ) );
            extensions/SemanticPageMaker/includes/widgets  (7 usages found)
                SPM_WFAjaxAccess.php  (3 usages found)
                    spm_wf_EditorAccess  (3 usages found)
                        180ContentHandler::makeContent( $revision->getText(), $revision->getTitle() ),
                        199$wiki .= $revision->getText();
                        258if ( $revision != null ) $text .= $revision->getText();
                SPM_WidgetPage.php  (1 usage found)
                    CategoryWidgetViewer  (1 usage found)
                        loadWidget  (1 usage found)
                            225return $this->getWidgetWiki( $revision->getText(), $title, $update );
                SPM_WidgetUtils.php  (3 usages found)
                    SPMWidgetUtils  (3 usages found)
                        getPageTemplateData  (1 usage found)
                            515$text = $revision->getText();
                        loadTransactionConnectorExpressions  (1 usage found)
                            663$wgParser->parse( $r->getText(), $title, $options );
                        updateWidgetConnectors  (1 usage found)
                            1007if ( $revision != null ) $text = $revision->getText();
            extensions/SemanticPageMaker/includes/widgets/datatype  (1 usage found)
                SPMWidgetDataType.php  (1 usage found)
                    SPMWidgetDataType  (1 usage found)
                        getAllPossibleValues  (1 usage found)
                            190$output = $wgParser->parse( $rev->getText(), $proptitle, $options );
            extensions/SemanticPageMaker/includes/widgets/extra  (1 usage found)
                SPM_WG_Widget.php  (1 usage found)
                    SPMWidgetExtraWidget  (1 usage found)
                        onAjaxAccess  (1 usage found)
                            48$text = $rev->getText();
            extensions/SemanticPageMaker/specials/WidgetClone  (3 usages found)
                SPM_WidgetClone.php  (3 usages found)
                    SPMWidgetClone  (3 usages found)
                        widgetClone  (3 usages found)
                            142$wikitext = $revision->getText();
                            159$p_content = ( $revision == null ) ? '' : $revision->getText();
                            190$w_content = ( $revision == null ) ? '' : $revision->getText();
    Usage in comments  (2 usages found)
        MediaWiki  (2 usages found)
            core/tests/phpunit/includes  (2 usages found)
                RevisionStorageTest.php  (1 usage found)
                    RevisionStorageTest  (1 usage found)
                        278	 * @covers Revision::getText
                RevisionTest.php  (1 usage found)
                    RevisionTest  (1 usage found)
                        326	 * @covers Revision::getText

Change 329121 had a related patch set uploaded (by Filip):
Replaced deprecated hook usage

https://gerrit.wikimedia.org/r/329121

Change 329122 had a related patch set uploaded (by Filip):
Replaced deprecated hook usage

https://gerrit.wikimedia.org/r/329122

Change 329123 had a related patch set uploaded (by Georggi199):
Replaced deprecated hook usage

https://gerrit.wikimedia.org/r/329123

Change 329123 merged by jenkins-bot:
Replaced deprecated hook usage

https://gerrit.wikimedia.org/r/329123

Change 329121 merged by jenkins-bot:
Replaced deprecated hook usage

https://gerrit.wikimedia.org/r/329121

Change 329125 had a related patch set uploaded (by Filip):
Replaced deprecated hook usage

https://gerrit.wikimedia.org/r/329125

Change 329125 merged by jenkins-bot:
Replaced deprecated hook usage

https://gerrit.wikimedia.org/r/329125

Change 329122 merged by jenkins-bot:
Replaced deprecated hook usage

https://gerrit.wikimedia.org/r/329122

Change 327305 merged by jenkins-bot:
Replaced "Article::getContent" deprecated in MediaWiki 1.21

https://gerrit.wikimedia.org/r/327305

Reedy added a comment.Dec 31 2016, 1:45 PM

And revision::getText is only in SemanticPageMaker as an extension... so https://codein.withgoogle.com/dashboard/tasks/5729601676378112/

Reedy added a comment.Dec 31 2016, 1:48 PM

Still various hooks to re-evaluate and do too

Change 329783 had a related patch set uploaded (by MtDu):
Replace deprecated Article::doEdit()

https://gerrit.wikimedia.org/r/329783

Change 329786 had a related patch set uploaded (by MtDu):
Replace deprecated Article::doEdit()

https://gerrit.wikimedia.org/r/329786

Change 329787 had a related patch set uploaded (by Filip):
Replaced deprecated Article::doEdit(

https://gerrit.wikimedia.org/r/329787

Change 329788 had a related patch set uploaded (by MtDu):
Replace deprecated Article::doEdit()

https://gerrit.wikimedia.org/r/329788

Change 329789 had a related patch set uploaded (by Filip):
Replaced deprecated "Article::doEdit("

https://gerrit.wikimedia.org/r/329789

Change 329790 had a related patch set uploaded (by Filip):
Removed deprecated "Article::doEdit("

https://gerrit.wikimedia.org/r/329790

Change 329791 had a related patch set uploaded (by Filip):
Replaced deprecated "Article::doEdit("

https://gerrit.wikimedia.org/r/329791

Change 329792 had a related patch set uploaded (by Filip):
Replaced deprecated "Article::doEdit("

https://gerrit.wikimedia.org/r/329792

Change 329795 had a related patch set uploaded (by MtDu):
Replace deprecated Article::doEdit()

https://gerrit.wikimedia.org/r/329795

Change 329787 merged by jenkins-bot:
Replaced deprecated Article::doEdit(

https://gerrit.wikimedia.org/r/329787

Change 329783 merged by jenkins-bot:
Replace deprecated Article::doEdit()

https://gerrit.wikimedia.org/r/329783

Change 329786 merged by jenkins-bot:
Replace deprecated Article::doEdit()

https://gerrit.wikimedia.org/r/329786

Change 329795 merged by jenkins-bot:
Replace deprecated Article::doEdit()

https://gerrit.wikimedia.org/r/329795

Change 329792 merged by jenkins-bot:
Replaced deprecated "Article::doEdit"

https://gerrit.wikimedia.org/r/329792

Change 329790 merged by jenkins-bot:
Removed deprecated "Article::doEdit"

https://gerrit.wikimedia.org/r/329790

Change 329788 merged by jenkins-bot:
Replace deprecated Article::doEdit()

https://gerrit.wikimedia.org/r/329788

Change 329791 merged by jenkins-bot:
Replaced deprecated "Article::doEdit"

https://gerrit.wikimedia.org/r/329791

Change 329789 merged by jenkins-bot:
Replaced deprecated "Article::doEdit"

https://gerrit.wikimedia.org/r/329789

Reedy added a comment.Jan 2 2017, 4:28 AM

Article::getContent()

Method
    getContent
Found usages  (8 usages found)
    Delegate to another instance method  (1 usage found)
        MediaWiki  (1 usage found)
            extensions/Video  (1 usage found)
                VideoPage.php  (1 usage found)
                    VideoPage  (1 usage found)
                        getContent  (1 usage found)
                            135return Article::getContent();
    Method call  (7 usages found)
        MediaWiki  (7 usages found)
            extensions/News  (1 usage found)
                NewsRenderer.php  (1 usage found)
                    NewsRenderer  (1 usage found)
                        renderRow  (1 usage found)
                            526$t = $article->getContent();
            extensions/SemanticComments/specials/Comment  (3 usages found)
                CE_Comment.php  (1 usage found)
                    CEComment  (1 usage found)
                        updateRelatedArticle  (1 usage found)
                            157$text = $article->getContent();
                CE_CommentAjaxAccess.php  (2 usages found)
                    cef_comment_deleteComment  (1 usage found)
                        84$articleContent = $article->getContent();
                    cef_comment_fullDeleteComments  (1 usage found)
                        123$articleContent = $article->getContent();
            extensions/SemanticPageMaker/includes/models  (1 usage found)
                SPM_OM_Template.php  (1 usage found)
                    SPMTemplateModel  (1 usage found)
                        getTemplateForm  (1 usage found)
                            50$text = $article->getContent();
            extensions/SemanticPageSeries/includes  (1 usage found)
                SPSSpecialSeriesEdit.php  (1 usage found)
                    SPSSpecialSeriesEdit  (1 usage found)
                        printForm  (1 usage found)
                            101$formDefinition = StringUtils::delimiterReplace( '<noinclude>', '</noinclude>', '', $formArticle->getContent() );
            extensions/WikiArticleFeeds  (1 usage found)
                WikiArticleFeeds_body.php  (1 usage found)
                    WikiArticleFeeds  (1 usage found)
                        wfGenerateWikiFeed  (1 usage found)
                            316$content = $wgOut->parse( $article->getContent() . "\n__NOEDITSECTION__ __NOTOC__" );

Article::doEdit()

Method
    doEdit
Found usages  (1 usage found)
    Method call  (1 usage found)
        MediaWiki  (1 usage found)
            extensions/SemanticComments/specials/Comment  (1 usage found)
                CE_CommentAjaxAccess.php  (1 usage found)
                    cef_comment_deleteComment  (1 usage found)
                        92$article->doEdit( $articleContent, wfMessage( 'ce_comment_delete_reason' )->text() );

Revision::getText()

Method
    getText
Found usages  (18 usages found)
    Method call  (16 usages found)
        MediaWiki  (16 usages found)
            core/tests/phpunit/includes  (4 usages found)
                RevisionStorageTest.php  (1 usage found)
                    RevisionStorageTest  (1 usage found)
                        testGetText  (1 usage found)
                            286$this->assertEquals( 'hello hello.', $rev->getText() );
                RevisionTest.php  (3 usages found)
                    RevisionTest  (3 usages found)
                        testConstructWithContent  (1 usage found)
                            403$this->assertNotNull( $rev->getText(), 'no content text' );
                        testConstructWithText  (1 usage found)
                            385$this->assertNotNull( $rev->getText(), 'no content text' );
                        testGetText  (1 usage found)
                            333$this->assertEquals( $expectedText, $rev->getText( $audience ) );
            extensions/SemanticPageMaker/includes/widgets  (7 usages found)
                SPM_WFAjaxAccess.php  (3 usages found)
                    spm_wf_EditorAccess  (3 usages found)
                        180ContentHandler::makeContent( $revision->getText(), $revision->getTitle() ),
                        199$wiki .= $revision->getText();
                        258if ( $revision != null ) $text .= $revision->getText();
                SPM_WidgetPage.php  (1 usage found)
                    CategoryWidgetViewer  (1 usage found)
                        loadWidget  (1 usage found)
                            225return $this->getWidgetWiki( $revision->getText(), $title, $update );
                SPM_WidgetUtils.php  (3 usages found)
                    SPMWidgetUtils  (3 usages found)
                        getPageTemplateData  (1 usage found)
                            515$text = $revision->getText();
                        loadTransactionConnectorExpressions  (1 usage found)
                            663$wgParser->parse( $r->getText(), $title, $options );
                        updateWidgetConnectors  (1 usage found)
                            1007if ( $revision != null ) $text = $revision->getText();
            extensions/SemanticPageMaker/includes/widgets/datatype  (1 usage found)
                SPMWidgetDataType.php  (1 usage found)
                    SPMWidgetDataType  (1 usage found)
                        getAllPossibleValues  (1 usage found)
                            190$output = $wgParser->parse( $rev->getText(), $proptitle, $options );
            extensions/SemanticPageMaker/includes/widgets/extra  (1 usage found)
                SPM_WG_Widget.php  (1 usage found)
                    SPMWidgetExtraWidget  (1 usage found)
                        onAjaxAccess  (1 usage found)
                            48$text = $rev->getText();
            extensions/SemanticPageMaker/specials/WidgetClone  (3 usages found)
                SPM_WidgetClone.php  (3 usages found)
                    SPMWidgetClone  (3 usages found)
                        widgetClone  (3 usages found)
                            142$wikitext = $revision->getText();
                            159$p_content = ( $revision == null ) ? '' : $revision->getText();
                            190$w_content = ( $revision == null ) ? '' : $revision->getText();
    Usage in comments  (2 usages found)
        MediaWiki  (2 usages found)
            core/tests/phpunit/includes  (2 usages found)
                RevisionStorageTest.php  (1 usage found)
                    RevisionStorageTest  (1 usage found)
                        278	 * @covers Revision::getText
                RevisionTest.php  (1 usage found)
                    RevisionTest  (1 usage found)
                        326	 * @covers Revision::getText

Change 330190 had a related patch set uploaded (by Filip):
Replaced deprecated 'Article::getContent()' usage

https://gerrit.wikimedia.org/r/330190

Change 330191 had a related patch set uploaded (by Filip):
Replaced deprecated 'Article::getContent' usage

https://gerrit.wikimedia.org/r/330191

Change 330199 had a related patch set uploaded (by Victorbarbu):
Remove unused method getContent

https://gerrit.wikimedia.org/r/330199

Change 330200 had a related patch set uploaded (by Victorbarbu):
Replace deprecated Article::getContent with ContentHandler usage

https://gerrit.wikimedia.org/r/330200

Change 330191 merged by jenkins-bot:
Replaced deprecated 'Article::getContent' usage

https://gerrit.wikimedia.org/r/330191

Change 330190 merged by jenkins-bot:
Replaced deprecated 'Article::getContent()' usage

https://gerrit.wikimedia.org/r/330190

Change 330235 had a related patch set uploaded (by Georggi199):
Replace deprecated "Revision::getText()" calls in SemanticPageMaker MediaWiki extension

https://gerrit.wikimedia.org/r/330235

Reedy closed this task as Resolved.Jan 3 2017, 4:53 PM
Reedy claimed this task.

It vaguely seems this is all done now... There's a few old comments about, but I think code wise, this is done...

Change 330235 merged by jenkins-bot:
Replace deprecated "Revision::getText()" calls in SemanticPageMaker MediaWiki extension

https://gerrit.wikimedia.org/r/330235

Change 330627 had a related patch set uploaded (by MtDu):
Remove getContent() function from VideoPage.php

https://gerrit.wikimedia.org/r/330627

Change 330628 had a related patch set uploaded (by MtDu):
Replace deprecated Article::getContent() usage

https://gerrit.wikimedia.org/r/330628

Change 330629 had a related patch set uploaded (by MtDu):
Replace deprecated Article::getContent() usage

https://gerrit.wikimedia.org/r/330629

Change 330627 abandoned by Jack Phoenix:
Remove getContent() function from VideoPage.php

Reason:
I accepted Victor's patch (Change-Id: I95bfc6fd2728bed9580cdd5d75db797031b8a7fb), which was slightly older and functionality-wise identical. Thank you for the patch nevertheless!

https://gerrit.wikimedia.org/r/330627

Change 330199 merged by jenkins-bot:
Remove unused method getContent

https://gerrit.wikimedia.org/r/330199

Change 330628 merged by jenkins-bot:
Replace deprecated Article::getContent() usage

https://gerrit.wikimedia.org/r/330628

Change 330629 merged by jenkins-bot:
Replace deprecated Article::getContent() usage

https://gerrit.wikimedia.org/r/330629